<app-nav-bar></app-nav-bar>
<form id="form" [formGroup]="myForm">
    <div class="form-group">
      <label for="firstName" >First Name</label>
      <input type="text" class="form-control" id="firstName" placeholder="First Name" formControlName="firstName">
      <div class="error" *ngIf="myForm.get('firstName')?.errors">Less than 3 characters</div>
    </div>
    <br>
    <div class="form-group">
      <label for="lastName">Last Name</label>
      <input type="text" class="form-control" id="lastName" placeholder="Last Name" formControlName="lastName">
      <div class="error" *ngIf="myForm.get('lastName')?.errors">Less than 3 characters</div>
    </div>
    <br>
    <div class="form-group">
      <label for="password">Password</label>
      <input type="password" class="form-control" id="password" placeholder="Password" formControlName="password">
      <div class="error" *ngIf="myForm.get('password')?.errors">Password less than 8 characters</div>
    </div>
    
    <div class="form-group">
      <label for="repeatPassword">Repeat Password</label>
      <input type="password" class="form-control" id="repeatPassword" placeholder="Repeat Password" formControlName="repeatPassword">
      <div class="error" *ngIf="myForm.get('password')?.errors || myForm.get('repeatPassword')?.errors">Password doesn't match</div>
    </div>
    
    <br>
    <div class="form-group">
      <label for="email">Email</label>
      <input type="text" class="form-control" id="email" placeholder="Email" email="true" formControlName="email">
      <div class="error" *ngIf="myForm.get('email')?.errors">Email not formatted correctly</div>
    </div>
    <br>
    <div class="form-group">
      <label for="birthday">Birthday</label>
      <input type="date" class="form-control" id="birthday" placeholder="Birthday" formControlName="birthday">
      <p class="error" *ngIf="myForm.get('birthday')?.errors">User Not 18 Years Old</p>
    </div>
    <br>
    <div class="form-check form-check-inline">
      <input class="form-check-input radio-input" type="radio" name="gender" id="female" value="female" formControlName="gender">
      <label class="form-check-label radio" for="female">Female</label>
    </div>
    <div class="form-check form-check-inline">
      <input class="form-check-input radio-input" type="radio" name="gender" id="male" value="male" formControlName="gender">
      <label class="form-check-label radio" for="male">Male</label>
    </div>
    <br>
    <br>
    <div class="form-group">
      <label for="category">Category</label>
      <select class="form-select" id="category" formControlName="category">
        <option value="painting">Painting</option>
        <option value="sculpture">Sculpture</option>
        <option value="photography">Photography</option>
      </select>
    </div>
    <br>
    <div class="form-group">
      <label for="description">Description</label>
      <textarea class="form-control" placeholder="Description" id="description" formControlName="description"></textarea>
    </div>
    <br>
    <button type="submit" class="btn btn-primary" [disabled]="myForm.invalid" (click)="logForm()">Submit</button>
    
  </form>
  